unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  VCLTee.TeEngine, VCLTee.TeeTools, VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs,
  VCLTee.Chart, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    ColorBand: TColorBandTool;
    Panel1: TPanel;
    chkToggleVisiblity2: TCheckBox;
    curEndValue: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure ColorBandResizing(Sender: TObject);
  private
    { Private declarations }
    procedure UpdateLayoutControl;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  series1.FillSampleValues(10);
end;

procedure TForm1.ColorBandResizing(Sender: TObject);
begin
  UpdateLayoutControl;
end;

procedure TForm1.UpdateLayoutControl;
begin
  curEndValue.Text := FloatToStr(ColorBand.EndValue);

  if chkToggleVisiblity2.Checked then
  begin
    curEndValue.Visible := not curEndValue.Visible;
//    curEndValue.Visible := not curEndValue.Visible;
  end;
end;

end.
